Summary:    A fast artificial neural network library
Name:       fann
Version:    2.0.0
Release:    7%{?dist}
License:    LGPLv2+
Group:      Development/Libraries
URL:        http://fann.sf.net/
Source:     http://downloads.sourceforge.net/fann/%{name}-%{version}.tar.bz2
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%define fann_includedir %{_includedir}/fann

%description
Fast Artificial Neural Network (FANN) Library is written in ANSI C.
The library implements multilayer feedforward ANNs, up to 150 times faster
than other libraries. FANN supports execution in fixed point, for fast 
execution on systems like the iPAQ.

%package devel
Group: Development/Libraries
Summary: Development libraries for FANN
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
This package is only needed if you intend to develop and/or compile programs 
based on the FANN library.

%prep
%setup -q
LIBS=-lm
export LIBS

%configure --includedir=%{fann_includedir} --disable-static

%build
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
find $RPM_BUILD_ROOT -name "*.la" -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libdoublefann.so.2
%{_libdir}/libdoublefann.so.2.0.0
%{_libdir}/libfloatfann.so.2
%{_libdir}/libfloatfann.so.2.0.0
%{_libdir}/libfixedfann.so.2
%{_libdir}/libfixedfann.so.2.0.0
%{_libdir}/libfann.so.2
%{_libdir}/libfann.so.2.0.0

%files devel
%defattr(-,root,root)
%doc doc/fann_en.pdf doc/*.txt
%{_libdir}/pkgconfig/fann.pc
%{_libdir}/libdoublefann.so
%{_libdir}/libfann.so
%{_libdir}/libfixedfann.so
%{_libdir}/libfloatfann.so
%{fann_includedir}

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jun 11 2009 Tomas Smetana <tsmetana@redhat.com> 2.0.0-6
- There is no html documentation, don't try to build it

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 12 2008 Tomas Smetana <tsmetana@redhat.com> 2.0.0-4.1
- rebuild (gcc-4.3)

* Mon Aug 20 2007 Tomas Smetana <tsmetana@redhat.com> 2.0.0-4
- License tag update

* Wed Aug 01 2007 Tomas Smetana <tsmetana@redhat.com> 2.0.0-3
- Ensure linking against libm

* Mon Jul 09 2007 Tomas Smetana <tsmetana@redhat.com> 2.0.0-2
- Disable static libraries, fix BuildRoot, move headers to subdirectory

* Thu Jun 21 2007 Tomas Smetana <tsmetana@redhat.com> 2.0.0-1
- Bump release

* Thu Jun 21 2007 Tomas Smetana <tsmetana@redhat.com> 2.0.0-0
- Updated spec file.

* Fri Mar 30 2004 Evan Nemerson <evan@coeus-group.com>
- Build and install HTML documentation.

* Fri Jan 16 2004 Evan Nemerson <evan@coeus-group.com>
- Added activation header.

* Mon Jan 10 2004 Evan Nemerson <evan@coeus-group.com>
- RPM created
